Bug 89319 - [PATCH] Update www/lighttpd to 1.4.7
[PATCH] Update www/lighttpd to 1.4.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2005-11-20 16:20 UTC by Xin LI
Modified: 2005-11-23 01:44 UTC (History)
1 user (show)

See Also:

patch-lighttpd (1.46 KB, text/plain)
2005-11-20 16:20 UTC, Xin LI
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2005-11-20 16:20:18 UTC
	Recently lighttpd 1.4.7 was released.  Please consider updating it.

	Vendor changes:
	* added FD_CLOEXEC to fds which are kept open for a longer time
	* added smaller, moving mmaped windows to network_writev
	* added madvise() to instruct the kernel the do proper read-ahead in network_writev
	* added support for %I in mod_accesslog
	* added better compat to Apache for ?auto in mod_status
	* added support for userdirs without a entry in /etc/passwd in mod_userdir
	* added startup-time selectable network-backend
	* added location of upload-files to config as array
	* added webdav.log-xml for logging xml-content in mod_webdav
	* added Cache-Control: max-age to mod_expire
	* workaround missing client-bug by assuming we received a close-notify on 
	  non-keep-alive requests in SSL request
	* disabled kerberos5 support by default to fix compilation on RHEL
	* fixed order of library checks to fix compilation on Solaris 9
	* fixed open file-descriptors on read-error
	* fixed crash if /var/tmp is not writable

	Port changes:
	* Update from 1.4.6 to 1.4.7
	* Added SHA256 checksum
	* [INCOMPATIBLE CHANGE] The meaning of IPV6 knob/option was
	  reverted to match the usual understanding of the option.
	  Another idea is to rename "IPV6" to "NOIPV6" but reverting
	  the meaning seems to be more consistent with other ports.
	  Also, this may need an update to UPDATING documentation if
	  the change was approved by the maintainer.

	Maintainer CC'ed.  Verifyed under FreeBSD 6.0-RELEASE.
Comment 1 Edwin Groothuis freebsd_committer 2005-11-20 16:21:11 UTC
Maintainer of www/lighttpd,

Please note that PR ports/89319 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis
Comment 2 Edwin Groothuis freebsd_committer 2005-11-20 16:21:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 hscholz 2005-11-21 12:50:45 UTC
Hash: SHA1


Works, the IPv6 knob was something that was supposed to be done way

Please commit!


- --
Hendrik Scholz - <hscholz@raisdorf.net> - http://www.wormulon.net/
drag me, drop me - treat me like an object
Version: GnuPG v1.4.2 (FreeBSD)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

Comment 4 mnag freebsd_committer 2005-11-23 01:44:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!